/**
* This module adds runtime functionality
*/


/**
* Throws an exception with the specified message.
*/
fun fail <T>(message: String = 'Error'): T = native("system::fail")

/**
* Throws an exception with the specified message if the expression in the evaluator returns `true`.
*/
fun failIf <T>(value: T, evaluator: (value: T) => Boolean): T =
    if(evaluator(value)) fail("Failed") else value

/**
* Stops the execution for the specified timeout (in milliseconds).
*/
fun wait <T>(value: T, timeout: Number): T = native("system::wait")

/**
* Returns the enviroment variable value. If the named variable doesn't exist returns an empty string
*/
fun env(value: String): String = native("system::env")